Home » News » Desktop PC News » Mozilla Cuts Loose Firefox 1.5

Mozilla Cuts Loose Firefox 1.5

by | Go to comments

Share:

Whatever your browser preference you are simply ‘’wrong’’ if you aren’t using Firefox and – if you are – you’d be crazy to keep using version 1.5 after today.

With the release of legacy update 'Firefox 1.5.0.12' Mozilla has drawn a line underneath its support of the browser and is advising all users high tail it up to v2.0 (technically v2.0.0.4) ASAP.

From now on any security holes and exploits found in the browser will be left completely alone creating a merry tunnel for hackers to drive through. This may sound harsh but quite frankly ‘moving on’ is what keeps the IT industry so fast moving and Mozilla has already delayed the abandonment from 24 April. Furthermore Firefox is a completely free product and while you may have some favourite third party add-ons that will fall by the wayside with the step to v2.0 (goodbye ‘Search Engine Ordering’ *sniff*) the native Session Restore, inline spell checking and useful addition of close buttons to each tab means they are well worth the sacrifice.

If, like many a stupid seaman (there's a joke in there somewhere...), you plan to go down with your ship however then for the record 1.5.0.12 brings with it a final round of security patches including XUL Popup Spoofing, Path Abuse in Cookies and a fix for the persistent Autocomplete Denial of Service error.

For the rest of you I suggest you swim aboard the good ship v2.0.0.4 and get one of those Titantic-esque views at the front from where we can watch the stubborn ones drown…

Links:
Firefox 1.5.0.12 Update (Don’t go there)
Firefox 2.0.0.4 (Go here)

Go to comments
comments powered by Disqus